/*
 * nasd_dux_edrfs_mount.h
 *
 * definitions shared between user and kernel edrfs mount
 *
 * Authors: Howard Gobioff
 */
/*
 * Copyright (c) of Carnegie Mellon University, 1997,1998,1999.
 *
 * Permission to reproduce, use, and prepare derivative works of
 * this software for internal use is granted provided the copyright
 * and "No Warranty" statements are included with all reproductions
 * and derivative works. This software may also be redistributed
 * without charge provided that the copyright and "No Warranty"
 * statements are included in all redistributions.
 *
 * NO WARRANTY. THIS SOFTWARE IS FURNISHED ON AN "AS IS" BASIS.
 * CARNEGIE MELLON UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER
 * EXPRESSED OR IMPLIED AS TO THE MATTER INCLUDING, BUT NOT LIMITED
 * TO: WARRANTY OF FITNESS FOR PURPOSE OR MERCHANTABILITY, EXCLUSIVITY
 * OF RESULTS OR RESULTS OBTAINED FROM USE OF THIS SOFTWARE. CARNEGIE
 * MELLON UNIVERSITY DOES NOT MAKE ANY WARRANTY OF ANY KIND WITH RESPECT
 * TO FREEDOM FROM PATENT, TRADEMARK, OR COPYRIGHT INFRINGEMENT.
 */


#ifndef _NASD__NASD_DUX_EDRFS_MOUNT_H_
#define _NASD__NASD_DUX_EDRFS_MOUNT_H_

#include <nasd/nasd_options.h>
#include <nasd/nasd_types.h>
#include <sys/mount.h>


typedef struct nasd_edrfs_args_s {
  struct nfs_args   normal_nfs_args;
  nasd_cookie_t      *cookiep;
} nasd_edrfs_args_t;

#endif /* !_NASD__NASD_DUX_EDRFS_MOUNT_H_ */
