/*
 * nasd_marshall.h
 *
 * Wrapper include to suck in all of the marshall/unmarshall prototypes
 * and data definitions.
 *
 * Author: Marc Unangst
 */
/*
 * Copyright (c) of Carnegie Mellon University, 1997,1998,1999.
 *
 * Permission to reproduce, use, and prepare derivative works of
 * this software for internal use is granted provided the copyright
 * and "No Warranty" statements are included with all reproductions
 * and derivative works. This software may also be redistributed
 * without charge provided that the copyright and "No Warranty"
 * statements are included in all redistributions.
 *
 * NO WARRANTY. THIS SOFTWARE IS FURNISHED ON AN "AS IS" BASIS.
 * CARNEGIE MELLON UNIVERSITY MAKES NO WARRANTIES OF ANY KIND, EITHER
 * EXPRESSED OR IMPLIED AS TO THE MATTER INCLUDING, BUT NOT LIMITED
 * TO: WARRANTY OF FITNESS FOR PURPOSE OR MERCHANTABILITY, EXCLUSIVITY
 * OF RESULTS OR RESULTS OBTAINED FROM USE OF THIS SOFTWARE. CARNEGIE
 * MELLON UNIVERSITY DOES NOT MAKE ANY WARRANTY OF ANY KIND WITH RESPECT
 * TO FREEDOM FROM PATENT, TRADEMARK, OR COPYRIGHT INFRINGEMENT.
 */


#ifndef _NASD__NASD_MARSHALL_H
#define _NASD__NASD_MARSHALL_H

#include <nasd/nasd_options.h>

#include <nasd/nasd_base_types_marshall.h>
#include <nasd/nasd_cheops_mgr_marshall.h>
#include <nasd/nasd_cheops_types_marshall.h>
#include <nasd/nasd_control_marshall.h>
#include <nasd/nasd_drive_types_marshall.h>
#include <nasd/nasd_error_marshall.h>
#include <nasd/nasd_pdrive_marshall.h>
#include <nasd/nasd_types_marshall.h>
#include <nasd/nasd_edrfs_types_marshall.h>
#include <nasd/nasd_edrfs_server_marshall.h>

#if NASD_RPC_PACKAGE == NASD_RPC_PACKAGE_SRPC
#include <nasd/nasd_srpc_types_marshall.h>
#endif /* NASD_RPC_PACKAGE == NASD_RPC_PACKAGE_SRPC */

#endif /* _NASD__NASD_MARSHALL_H */
